<div
  fxLayout="row"
  fxLayout.xs="column"
  fxLayoutAlign="space-between center"
 >
  <div
    fxFlex="50"
    fxFlex.xs="100">
    <h2>Catálogo de Usuarios</h2>
  </div>
  <div
    fxFlex="50"
    fxFlex.xs="100"
    [ngClass.xs]="{'xs-header':true}"
    [ngClass]="{'btn-header':true}"
  >
    <button mat-raised-button color="primary" (click)="openDialog(null)">
      <mat-icon>add</mat-icon>
      Nuevo Usuario
    </button>
  </div>
</div>


<mat-divider></mat-divider>



<div class="schedule-table">

  <div class="spinner-container" *ngIf="dataSource.loading$|async">
    <mat-spinner></mat-spinner>
  </div>

  <mat-form-field class="example-full-width">
    <input matInput type="search" placeholder="Buscar" value="" [formControl]="searchInput">
    <button mat-button *ngIf="searchInput.value" matSuffix mat-icon-button aria-label="Clear" (click)="searchInput.setValue('')">
      <mat-icon>close</mat-icon>
    </button>
  </mat-form-field>




  <mat-table class="schedule-status-table mat-elevation-z8" [dataSource]="dataSource" matSort matSortActive="name"
    matSortDirection="asc" matSortDisableClear>



    <ng-container matColumnDef="name">
      <mat-header-cell *matHeaderCellDef mat-sort-header>Nombre</mat-header-cell>
      <mat-header-cell *matCellDef="let user">{{user.person.first_name}} {{user.person.last_name}} {{user.person.name}}</mat-header-cell>
    </ng-container>


    <ng-container matColumnDef="email">
      <mat-header-cell *matHeaderCellDef>Correo electrónico</mat-header-cell>
      <mat-header-cell *matCellDef="let user">{{user.email}}</mat-header-cell>
    </ng-container>

    <ng-container matColumnDef="created_at">
      <mat-header-cell *matHeaderCellDef>Fecha Creación</mat-header-cell>
      <mat-header-cell *matCellDef="let user">{{user.created_at}}</mat-header-cell>
    </ng-container>

    <ng-container matColumnDef="updated_at">
      <mat-header-cell *matHeaderCellDef>Última Actualización</mat-header-cell>
      <mat-header-cell *matCellDef="let user">{{user.updated_at}}</mat-header-cell>
    </ng-container>

    <ng-container matColumnDef="is_active">
      <mat-header-cell *matHeaderCellDef>Status</mat-header-cell>

      <mat-header-cell *matCellDef="let user">
        <mat-chip-list>
          <mat-chip color="primary" selected *ngIf="user.is_active">Activado</mat-chip>
          <mat-chip color="warn" selected *ngIf="!user.is_active">Desactivado</mat-chip>
        </mat-chip-list>

      </mat-header-cell>
    </ng-container>

    <ng-container matColumnDef="actions">
      <mat-header-cell *matHeaderCellDef>Acciones</mat-header-cell>
      <mat-header-cell *matCellDef="let user">
        <div class="button-row">

          <button mat-raised-button color="primary" (click)="openDialog(user)">
            <mat-icon>edit</mat-icon>
            Editar
          </button>

          <button mat-raised-button color="accent" (click)="openCredentialsDialog(user)">
            <mat-icon>vpn_key</mat-icon>
            Cambiar contraseña
          </button>

          <button mat-raised-button [color]="user.is_active?'warn':'primary'">
            <mat-icon>{{user.is_active ? 'cancel':'check'}}</mat-icon>
            {{user.is_active ? 'Desactivar' : 'Activar'}}
          </button>




        </div>
      </mat-header-cell>
    </ng-container>

    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>

    <mat-row *matRowDef="let row; columns: displayedColumns"></mat-row>

  </mat-table>



  <mat-paginator [length]="dataSource.noPages$ |async " [pageSize]="10" [pageSizeOptions]="[10,20,30,50]">

  </mat-paginator>

</div>
